/**
 * src/qchaco/HexEditValidator.hpp
 * written by Sven Oliver Moll
 * 
 * distributed under the terms of the GNU Lesser General Public License (LGPL)
 * available at http://www.gnu.org/licenses/lgpl.html
 */

#ifndef HEXEDITVALIDATOR_HPP
#define HEXEDITVALIDATOR_HPP HEXEDITVALIDATOR_HPP

/* base class */
#include <QValidator>

/* system headers */

/* Qt headers */

/* local library headers */

/* local headers */

/* forward declaration of Qt classes */

/* forward declaration of local classes */


class HexEditValidator : public QValidator
{
Q_OBJECT

public:
   HexEditValidator( unsigned long maxValue, QObject *parent = 0 );
   virtual ~HexEditValidator();

   /* validate the input */
   virtual State validate( QString &input, int &pos ) const;

private:
   HexEditValidator( const HexEditValidator &other );
   HexEditValidator &operator=( const HexEditValidator &other );

   unsigned long     mMaxValue;
};

#endif
